export const colorLegend = (selection, props) => {
  
  const { circleRadius, colorScale, circleSpacing, textOffset } = props;
  
  
  
  const groups = selection.selectAll('g')
  	.data(colorScale.domain());
  
  //enter
  const groupsEnter = groups.enter().append('g');
  
  groupsEnter.merge(groups)
      .style('opacity', 1)
      .attr('class', d => 'g-'+d.type)
  		.attr('transform', (d, i) => `translate(0, ${i * circleSpacing})`);
  
  groups.exit().remove();
  
  groupsEnter.append('circle')
  	.merge(groups.select('circle'))
  		.attr('r', circleRadius)
  		.attr('fill', colorScale);
  
  groupsEnter.append('text')
  	.merge(groups.select('text'))
  		.text(d => d)
  		.attr('x', textOffset)
  		.attr('y', '0.32em')

  
}