import { colorLegend } from './colorLegend';
import { sizeLegend } from './sizeLegend';

const svg = d3.select('svg');

svg.style('background', 'yellowgreen');

const height = +svg.attr('height'),
      fruitTypes = ['apple', 'lemon', 'orange', 'lime'],
      fruitColors = ['red', 'yellow', 'orange', 'green'];


const colorScale = d3.scaleOrdinal()
  .domain(fruitTypes)
  .range(fruitColors);

const sizeScale = d3.scaleSqrt()
	.domain([0, 10])
	.range([0, 20]);


svg.append('g')
	.attr('transform', `translate(100, ${height/2})`)
	.call(colorLegend, {
    circleRadius: 8,
  	circleSpacing: 30,
    colorScale,
  	textOffset: 15,
	});

svg.append('g')
	.attr('transform', `translate(200, ${height/2})`)
	.call(sizeLegend, {
  	circleSpacing: 30,
  	numTicks: 5,
  	sizeScale,
  	textOffset: 10,
	});