export const sizeLegend = (selection, props) => {
  
  const { sizeScale, circleSpacing, numTicks, textOffset } = props;
  
  const ticks = sizeScale.ticks(numTicks)
  	.filter(d => d != 0)
  	.reverse();
  
  const groups = selection.selectAll('g')
  	.data(ticks);
  
  //enter
  const groupsEnter = groups.enter().append('g');
  
  groupsEnter.merge(groups)
      .style('opacity', 1)
      .attr('class', d => 'g-'+d.type)
  		.attr('transform', (d, i) => `translate(0, ${i * (sizeScale(d) + circleSpacing)})`);
  
  groups.exit().remove();
  
  groupsEnter.append('circle')
  	.merge(groups.select('circle'))
  		.attr('r', sizeScale)
  		.attr('fill', 'transparent')
  		.attr('stroke', '#000');
  
  groupsEnter.append('text')
  	.merge(groups.select('text'))
  		.text(d => d)
  		.attr('x', d => sizeScale(d) + textOffset)
  		.attr('y', '0.32em');

  
}